tigase.jaxmpp.core.client

## Interface Connector.DisconnectedHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.DisconnectedHandler
      extends EventHandler

  Implemented by handlers of Connector.DisconnectedHandler.DisconnectedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.DisconnectedHandler.DisconnectedEvent` Fired when Connector is permanently stopped.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDisconnected(SessionObject sessionObject)` Called when Connector.DisconnectedHandler.DisconnectedEvent is fired.

- - ### Method Detail

    - #### onDisconnected

          void onDisconnected(SessionObject sessionObject)

      Called when Connector.DisconnectedHandler.DisconnectedEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.

Copyright © 2006–2020 Tigase. All rights reserved.